mscorlib 4.0.0.0 System.Enum System.Flags To be added.

Specifies flags that control optional behavior for the creation and execution of tasks.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskCreationOptions

  Specifies that a task is attached to a parent in the task hierarchy. For more information, see Nested Tasks and Child Tasks.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskCreationOptions

  Specifies that an will be thrown if an attempt is made to attach a child task to the created task.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskCreationOptions

  Prevents the ambient scheduler from being seen as the current scheduler in the created task. This means that operations like StartNew or ContinueWith that are performed in the created task will see as the current scheduler.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskCreationOptions

  Specifies that a task will be a long-running, coarse-grained operation involving fewer, larger components than fine-grained systems. It provides a hint to the that oversubscription may be warranted. Oversubscription lets you create more threads than the available number of hardware threads.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskCreationOptions

  Specifies that the default behavior should be used.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskCreationOptions

  A hint to a to schedule a task in as fair a manner as possible, meaning that tasks scheduled sooner will be more likely to be run sooner, and tasks scheduled later will be more likely to be run later.